## mrtg 2.17.9

=== debian/changelog ===
mrtg (2.17.9-1) unstable; urgency=medium

  * New upstream version 2.17.9.
  * The current upstream version (2.17.9) is not able to execute 'make install'
    because the upstream didn't generate the docs again before to create the
    tarball. Consequently, this revision is using the following workarounds:
      - debian/not-installed: added usr/share/doc/mrtg2/mrtglib.1 and
        usr/share/man/man1/mrtglib.1. These files are wrong manpages because
        they are in level 1, not in level 3.
      - debian/rules: added a target 'execute_before_dh_Auto_install' to
        generate new manpages in doc/.
      - debian/source/options: added to ignore the new manpages generated in
        doc/.
  * debian/copyright:
      - Removed files no longer delivered from the upstream tarball:
          ~ bin/cammer
          ~ lib/mrtg2/Pod/Checker.pm
          ~ lib/mrtg2/Pod/Find.pm
          ~ lib/mrtg2/Pod/ParseUtils.pm
      - Updated upstream copyright years.
  * debian/po/de.po: updated translation for German. Thanks to Helge
    Kreutzmann <debian@helgefjell.de>. (Closes: #1003888)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 18 Jan 2022 15:11:26 -0300

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONTRIB_EXAMPLES = debian/mrtg-contrib/usr/share/doc/mrtg-contrib/examples/contrib

%:
	dh $@

override_dh_clean:
	dh_clean
	# Revert changes in hashbangs after building
	for i in cfgmaker indexmaker mrtg; do \
	    sed -i 's/#! \/usr\/bin\/perl -w/#! \/home\/oetiker\/.plenv\/shims\/perl -w/' bin/$$i; \
	done

# Temporary workaround for upstream version 2.17.9
execute_before_dh_auto_install:
	make doc

# Using *-indep to avoid issues when building arch dependent binary only

override_dh_install-indep:
	dh_install

	# xlsummary depends on non-free software. See #293641.
	rm -rf $(CONTRIB_EXAMPLES)/xlsummary

	# Removing extra licensing files
	find $(CONTRIB_EXAMPLES) -name COPYING -exec rm -f {} \;

	# Fix hashbangs: c:\perl\bin
	egrep -sri '#!c:\\perl\\bin' $(CONTRIB_EXAMPLES) | cut -d: -f1 | \
            xargs sed -i 's/#!c:\\perl\\bin/#!\/usr\/bin\/perl/'

	# Fix hashbangs: /usr/bin/ksh
	egrep -sri '#!/usr/bin/ksh' $(CONTRIB_EXAMPLES) | cut -d: -f1 | \
            xargs sed -i 's/#!\/usr\/bin\/ksh/#!\/bin\/ksh/'

	# Fix all Unixes hashbangs with 'perl'
	egrep -sr '^#!\/[a-z/]+perl[0-9]?' $(CONTRIB_EXAMPLES) | cut -d: -f1 | \
            xargs sed -i 's/^#!\/[a-z/]\+perl[0-9]\?/#!\/usr\/bin\/perl/'

	# Fix specific hashbang with 'perl'
	egrep -sr '^#! /pkg/gnu/bin/perl' $(CONTRIB_EXAMPLES) | cut -d: -f1 | \
            xargs sed -i 's/^#!\ \/pkg\/gnu\/bin\/perl/#!\/usr\/bin\/perl/'

	# Convert all files to Unix EOL style
	find $(CONTRIB_EXAMPLES) -type f -exec dos2unix -q {} \;

	# Create symlinks for duplicate files
	jdupes -rl $(CONTRIB_EXAMPLES)

override_dh_fixperms-indep:
	# There are several examples with wrong permissions for Unix, so
        # changing all regular files to 644 is a good idea because they are
        # examples only. Note that dh_fixperms will change some permissions
        # again.
	find $(CONTRIB_EXAMPLES) -type f -exec chmod 644 {} \;
	dh_fixperms

override_dh_compress-indep:
	dh_compress -Xexamples/

## mrtg 2.17.10

=== contrib/whodo/GIFgraph/GIFgraph/samples/Makefile ===
PERL = perl
.SUFFIXES: .gif .pl
.SILENT:
LIB = ..
OPTIONS = -Tw

GIFS =  sample11.gif sample12.gif sample13.gif sample14.gif \
		sample15.gif sample16.gif \
		sample21.gif \
		sample31.gif \
		sample41.gif sample42.gif\
		sample51.gif sample52.gif sample53.gif sample54.gif \
		sample61.gif sample62.gif \
		sample91.gif sample92.gif sample93.gif

all: $(GIFS)

.pl.gif:
	$(PERL) $(OPTIONS) -I$(LIB) $<

clean:
	rm -f $(GIFS)

test:
	$(PERL) $(OPTIONS) -I$(LIB) -M$(MODULE) sample91.pl

# Dependencies

sample14.gif: logo.gif
sample42.gif: sample42.dat
sample54.gif: sample54.dat

=== debian/changelog ===
mrtg (2.17.10-3) unstable; urgency=medium

  * debian/control: dropped an unneeded digit in Standards-Version.
  * debian/po/fr.po: updated. Thanks to Jean-Pierre Giraud
    <jenapierregiraud75@free.fr>. (Closes: #1004422)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 28 Jan 2022 14:30:07 -0300

mrtg (2.17.10-2) unstable; urgency=medium

  * debian/po/:
      - nl.po: updated. Thanks to Frans Spiesschaert
        <Frans.Spiesschaert@yucom.be>. (Closes: #1004318)
      - pt_BR.po: fixed a mistake.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Jan 2022 13:14:06 -0300

mrtg (2.17.10-1) unstable; urgency=medium

  * New upstream version 2.17.10.
  * The upstream fixed the source code (thanks). Consequently, reverted all
    changes described in last changelog in the following files:
      - debian/not-installed
      - debian/rules
      - debian/source/options (removed this file)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Jan 2022 23:22:04 -0300

=== debian/control ===
Source: mrtg
Section: net
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               dos2unix,
               jdupes,
               libgd-dev,
               libpng-dev,
               po-debconf,
               zlib1g-dev
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/mrtg
Vcs-Git: https://salsa.debian.org/debian/mrtg.git
Homepage: https://oss.oetiker.ch/mrtg

Package: mrtg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: debconf | debconf-2.0,
         libsnmp-session-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: httpd | www-browser, mrtg-contrib
Description: Multi Router Traffic Grapher
 The Multi Router Traffic Grapher is a tool primarily used to monitor the
 traffic load on network links (typically by using SNMP). MRTG generates HTML
 pages containing PNG images which provide a LIVE visual representation of this
 traffic. MRTG typically produces daily, weekly, monthly, and yearly graphs.
 .
 In addition to monitoring via SNMP, MRTG can also generate graphs based on
 the output of any application, allowing one to generate graphs of anything
 that needs monitoring (for example, CPU and memory usage, email volumes, web
 hits, etc). For faster data collection, MRTG can also interface to RRDtool.
 .
 The mrtg-contrib package contains the contributed scripts and configuration
 files that used to form part of the mrtg package.

Package: mrtg-contrib
Architecture: all
Depends: ${misc:Depends}, mrtg
Suggests: cricket, gawk
Description: Multi Router Traffic Grapher (contributed files)
 A collection of sample scripts and configuration files for the Multi Router
 Traffic Grapher (MRTG). This package contains the contributed files that ship
 with MRTG. Note these scripts were produced by some users in several systems,
 like Linux and MS Windows.

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,6 @@
 	for i in cfgmaker indexmaker mrtg; do \
 	    sed -i 's/#! \/usr\/bin\/perl -w/#! \/home\/oetiker\/.plenv\/shims\/perl -w/' bin/$$i; \
 	done
-
-# Temporary workaround for upstream version 2.17.9
-execute_before_dh_auto_install:
-	make doc
 
 # Using *-indep to avoid issues when building arch dependent binary only

=== debian/tests/control ===
Test-Command: mkdir $AUTOPKGTEST_TMP/mrtg;
              cp debian/tests/mrtg.cfg $AUTOPKGTEST_TMP;
              sed -i "s,DIR,$AUTOPKGTEST_TMP," $AUTOPKGTEST_TMP/mrtg.cfg;
              # First run to generate an initial log
              LANG=C /usr/bin/mrtg $AUTOPKGTEST_TMP/mrtg.cfg 2>&1 | grep -o " " | head -n1 && echo "Generated an initial log.";
              echo "Running mrtg...";
              LANG=C /usr/bin/mrtg $AUTOPKGTEST_TMP/mrtg.cfg;
              ls -lh $AUTOPKGTEST_TMP/mrtg;
              cd $AUTOPKGTEST_TMP/mrtg;
              [ -s 2numbers-day.png ] || exit 1;
              [ -s 2numbers-week.png ] || exit 1;
              [ -s 2numbers-month.png ] || exit 1;
              [ -s 2numbers-year.png ] || exit 1;
              egrep "980 123" 2numbers.log
Restrictions: needs-root

Test-Command: cfgmaker 127.0.0.1 | egrep 'WorkDir: /var/www/html/mrtg' -C 50
Restrictions: allow-stderr
